* PACKAGE ASETC  
*
*"  [HIS] 90/10/15(numaguti)
*
*
***********************************************************************
      SUBROUTINE SETCOR     
     O         ( ALON  , DLON  ,
     O           ALAT  , DLAT  ,
     O           SIG   , DSIG  ,
     O           SIGM  , DSIGM  )
*




* PACKAGE  ZXT10L32 !" 格子点数，波数 X-Z
*
      INTEGER     IMAX           !" 経度格子数
      INTEGER     JMAX           !" 緯度格子数
      INTEGER     IDIM           !" 経度配列サイズ
      INTEGER     JDIM           !" 緯度配列サイズ
      INTEGER     MMAX           !" 最大東西波数
      INTEGER     LMAX           !" 最大南北波数
      INTEGER     NMAX           !" 最大全波数
      INTEGER     MINT           !" 東西波数間隔
      INTEGER     KMAX           !" 鉛直層数
      INTEGER     KDIM           !" 鉛直配列サイズ
      INTEGER     NMDIM          !" 水平波数成分数
      INTEGER     JMXHF          !" JMAX/2+1
      INTEGER     NWORK          !" ワーク領域大きさ
*
      PARAMETER ( IMAX  = 32,     JMAX =  1,
     &            IDIM  = IMAX+1, JDIM = JMAX,
     &            MMAX  = 10,     LMAX =  0,    NMAX = MMAX, MINT = 1,
     &            KMAX  = 32,     KDIM = KMAX,
     &            NMDIM = (MMAX/MINT+1)*(2*(NMAX+1)-MMAX)
     &                  - (NMAX-LMAX)/MINT*(NMAX-LMAX+1),
     &            JMXHF = JMAX/2+1,
     &            NWORK = IDIM*JDIM*KMAX*12                       )

*
      ReaL*8       ALON  ( IDIM )              
      ReaL*8       DLON  ( IDIM )              
      ReaL*8       ALAT  ( JDIM )              
      ReaL*8       DLAT  ( JDIM )              
      ReaL*8       SIG   ( KMAX )              
      ReaL*8       SIGM  (KMAX+1)              
      ReaL*8       DSIG  ( KMAX )              
      ReaL*8       DSIGM (KMAX+1)              
*




* PACKAGE ZHDIM  !" 文字列文字数 
*
*"  [HIS]  90/08/31(numaguti)
*
      INTEGER     NCC
      INTEGER     NDC
      INTEGER     NFILN
*
      PARAMETER ( NCC   = 16, NDC   = 64 ,
     &            NFILN = 38              )

      CHARACTER  HALON  *(NCC)               
      CHARACTER  HALAT  *(NCC)               
      CHARACTER  HASIG  *(NCC)               
      CHARACTER  HASIGM *(NCC)               
*
*"         < 1. 座標値のセット >
*
      CALL SETLON
     O         ( ALON  , DLON  , HALON ,
     D           IMAX  , IDIM            )
*
      CALL SETLAT
     O         ( ALAT  , DLAT  , HALAT ,
     D           JMAX  , JDIM            )
*
      CALL SETSIG
     O         ( SIG   , DSIG  , HASIG ,
     O           SIGM  , DSIGM , HASIGM,
     D           KMAX  , KMAX            )
*
*"         < 2. 座標系の設定 >
*
      CALL HSCORD
     I         ( HALON , HALAT , HASIG , HASIGM,
     I           ALON  , ALAT  , SIG   , SIGM  ,
     I           DLON  , DLAT  , DSIG  , DSIGM  )
*
      RETURN
*======================================================================
      ENTRY      STNCOR      
*
      CALL STNLON
     O         ( HALON ,
     I           IMAX   )
*
      CALL STNLAT
     O         ( HALAT ,
     I           JMAX   )
*
      CALL STNSIG
     O         ( HASIG ,
     O           HASIGM,
     I           KMAX   )
*
*"         < 2. 座標系の設定 >
*
      CALL HSCORN
     I         ( HALON , HALAT , HASIG , HASIGM )
*
      RETURN
      END
